Bug 488330 - Yum repodata does not contain all of the packages within a channel
Yum repodata does not contain all of the packages within a channel
Status: CLOSED DUPLICATE of bug 468781
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Steve Salevan
:
Depends On:
Blocks: 485807 486216
  Show dependency treegraph
 
Reported: 2009-03-03 13:37 EST by Steve Salevan
Modified: 2009-06-01 09:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 10:17:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-03-03 13:37:16 EST
Description of problem:
If a user syncs a channel to a Satellite, some packages in that channel may not be included within the repomd.xml file that gets produced.

For instance:
Upon sat-syncing the rhn-tools channel for RHEL 5 Server i386, the spacewalk-koan package was included within the channel, but Yum could not find the package on any registered client.

Version-Release number of selected component (if applicable):
530-re20090227.1

How reproducible:
Somewhere upon the vast plane spanning between deterministic, mostly, and always

Steps to Reproduce:
1. Sync the rhn-tools-rhel-i386-server-5 channel
2. Register an i386 RHEL 5 Server client to your Satellite
3. Run a 'yum install spacewalk-koan'
  
Actual results:
Package does not install, yum states that there is no spacewalk-koan package available

Expected results:
Package installs

Additional info:

Note You need to log in before you can comment on or make changes to this bug.